// packageC/redPacket/redRank/redRank.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    active: 0,
    page: 1,
    last_page: 1,
    current_page: 1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {},
  onChange(e) {
    this.setData({
      active: e.detail.index,
      current_page: 1,
      page: 1,
      last_page: 1,
      list: []
    });
    this.getData();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.current_page >= this.data.last_page) {
      return;
    } else {
      let pages = this.data.page + 1;
      this.setData({
        page: pages
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.redpack-tool.frontend.rank.index");
    app._postNetWork({
      url: urlStr,
      data: {
        page: this.data.page,
        rank_type: this.data.active + 1,
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            list: res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getMore() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.redpack-tool.frontend.rank.index");
    app._postNetWork({
      url: urlStr,
      data: {
        page: this.data.page,
        rank_type: this.data.active + 1,
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            list: that.data.list.concat(res.data.data),
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  }
});